Index: /data/branches/presentation/models/ships/terran_cruizer.mtl
===================================================================
--- /data/branches/presentation/models/ships/terran_cruizer.mtl	(revision 4168)
+++ /data/branches/presentation/models/ships/terran_cruizer.mtl	(revision 4169)
@@ -2,80 +2,50 @@
 illum 4
 Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
+Ka 1.00 1.00 1.00
+
 map_Kd terran_cuizer_beam.bmp
 Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 18.00
-newmtl phong2SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd terran_cuizer_doc_ti.bmp
-Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 18.00
+Ks 0.00 0.00 0.00
 newmtl phong3SG
 illum 4
 Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
+Ka 1.00 1.00 1.00
 map_Kd terran_cuizer_drop.bmp
 Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 18.00
+Ks 0.00 0.00 0.00
 newmtl phong4SG
 illum 4
 Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
+Ka 1.00 1.00 1.00
 map_Kd terran_cuizer_engines.bmp
 Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 18.00
+Ks 0.00 0.00 0.00
 newmtl phong5SG
 illum 4
 Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd terran_cuizer_lights.bmp
+Ka 1.00 1.00 1.00map_Kd terran_cuizer_lights.bmp
 Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 18.00
+Ks 0.00 0.00 0.00
 newmtl phong6SG
 illum 4
 Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
+Ka 1.00 1.00 1.00
 map_Kd terran_cuizer_metal1.bmp
 Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 18.00
+Ks 0.00 0.00 0.00
 newmtl phong7SG
 illum 4
 Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
+Ka 1.00 1.00 1.00
+
 map_Kd terran_cuizer_olor.bmp
 Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 18.00
+Ks 0.00 0.00 0.00
 newmtl phong8SG
 illum 4
 Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
+Ka 1.00 1.00 1.00
+
 map_Kd terran_cuizer_plates.bmp
 Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 18.00
-newmtl phong9SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd terran_cuizer_t3.bmp
-Ni 1.00
-Ks 0.50 0.50 0.50
-Ns 18.00
+Ks 0.00 0.00 0.00
Index: /data/branches/presentation/worlds/single_player_proto_world_01.map
===================================================================
--- /data/branches/presentation/worlds/single_player_proto_world_01.map	(revision 4168)
+++ /data/branches/presentation/worlds/single_player_proto_world_01.map	(revision 4169)
@@ -236,10 +236,10 @@
 // brush 25
 {
-( 864 776 -24 ) ( 864 704 -24 ) ( 784 776 -24 ) base_floor/proto_grate4 -6 -6 -90 0.3000000119 0.3000000119 0 0 0
-( 864 840 -24 ) ( 784 840 -24 ) ( 864 840 -32 ) base_floor/proto_grate4 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 920 776 -24 ) ( 920 776 -32 ) ( 920 704 -24 ) base_floor/proto_grate4 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 784 704 -32 ) ( 864 704 -32 ) ( 784 776 -32 ) base_floor/proto_grate4 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 792 328 -32 ) ( 792 328 -24 ) ( 872 328 -32 ) base_floor/proto_grate4 0 0 0 0.3000000119 0.3000000119 0 0 0
-( 774 708 -32 ) ( 774 780 -32 ) ( 774 708 -24 ) base_floor/proto_grate4 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 864 776 -24 ) ( 864 704 -24 ) ( 784 776 -24 ) base_floor/clang_floor2 -6 -6 -90 0.3000000119 0.3000000119 0 0 0
+( 864 840 -24 ) ( 784 840 -24 ) ( 864 840 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 920 776 -24 ) ( 920 776 -32 ) ( 920 704 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 784 704 -32 ) ( 864 704 -32 ) ( 784 776 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 792 328 -32 ) ( 792 328 -24 ) ( 872 328 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 774 708 -32 ) ( 774 780 -32 ) ( 774 708 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 26
@@ -9496,10 +9496,10 @@
 // brush 1014
 {
-( 776 848 -24 ) ( 776 784 -24 ) ( 432 848 -24 ) base_floor/proto_grate4 0 0 0 0.5 0.5 0 0 0
-( 776 840 -24 ) ( 432 840 -24 ) ( 776 840 -32 ) base_floor/proto_grate4 0 0 0 0.5 0.5 0 0 0
-( 776 848 -24 ) ( 776 848 -32 ) ( 776 784 -24 ) base_floor/proto_grate4 0 0 0 0.5 0.5 0 0 0
-( 432 784 -32 ) ( 776 784 -32 ) ( 432 848 -32 ) base_floor/proto_grate4 0 0 0 0.5 0.5 0 0 0
-( 432 712 -32 ) ( 432 712 -24 ) ( 776 712 -32 ) base_floor/proto_grate4 0 0 0 0.5 0.5 0 0 0
-( -168 752 -32 ) ( -168 816 -32 ) ( -168 752 -24 ) base_floor/proto_grate4 0 0 0 0.5 0.5 0 0 0
+( 776 848 -24 ) ( 776 784 -24 ) ( 432 848 -24 ) base_floor/clang_floor2 0 0 0 0.5 0.5 0 0 0
+( 776 840 -24 ) ( 432 840 -24 ) ( 776 840 -32 ) base_floor/clang_floor2 0 0 0 0.5 0.5 0 0 0
+( 776 848 -24 ) ( 776 848 -32 ) ( 776 784 -24 ) base_floor/clang_floor2 0 0 0 0.5 0.5 0 0 0
+( 432 784 -32 ) ( 776 784 -32 ) ( 432 848 -32 ) base_floor/clang_floor2 0 0 0 0.5 0.5 0 0 0
+( 432 712 -32 ) ( 432 712 -24 ) ( 776 712 -32 ) base_floor/clang_floor2 0 0 0 0.5 0.5 0 0 0
+( -168 752 -32 ) ( -168 816 -32 ) ( -168 752 -24 ) base_floor/clang_floor2 0 0 0 0.5 0.5 0 0 0
 }
 }