Index: /orxonox/branches/physics/src/Makefile.am
===================================================================
--- /orxonox/branches/physics/src/Makefile.am	(revision 4184)
+++ /orxonox/branches/physics/src/Makefile.am	(revision 4185)
@@ -87,7 +87,4 @@
 		 util/physics/i_physics.cc \
 		 util/physics/physics_engine.cc \
-		 util/physics/physical_interaction.cc \
-		 util/physics/physical_interaction_sym.cc \
-		 util/physics/physical_interaction_asym.cc \
 		 util/physics/physics_connection.cc \
 		 util/physics/fields/field.cc \
@@ -163,7 +160,4 @@
 		 util/physics/i_physics.h \
                  util/physics/physics_engine.h \
-                 util/physics/physical_interaction.h \
-		 util/physics/physical_interaction_sym.h \
-		 util/physics/physical_interaction_asym.h \
 		 util/physics/physics_connection.h \
 		 util/physics/fields/fields.h \
Index: /orxonox/branches/physics/src/Makefile.in
===================================================================
--- /orxonox/branches/physics/src/Makefile.in	(revision 4184)
+++ /orxonox/branches/physics/src/Makefile.in	(revision 4185)
@@ -89,7 +89,4 @@
 	ini_parser.$(OBJEXT) list.$(OBJEXT) resource_manager.$(OBJEXT) \
 	i_physics.$(OBJEXT) physics_engine.$(OBJEXT) \
-	physical_interaction.$(OBJEXT) \
-	physical_interaction_sym.$(OBJEXT) \
-	physical_interaction_asym.$(OBJEXT) \
 	physics_connection.$(OBJEXT) field.$(OBJEXT) gravity.$(OBJEXT) \
 	point_gravity.$(OBJEXT) twirl.$(OBJEXT) vector.$(OBJEXT) \
@@ -138,7 +135,4 @@
 @AMDEP_TRUE@	./$(DEPDIR)/particle_engine.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particle_system.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/physical_interaction.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/physical_interaction_asym.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/physical_interaction_sym.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/physics_connection.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/physics_engine.Po \
@@ -341,7 +335,4 @@
 		 util/physics/i_physics.cc \
 		 util/physics/physics_engine.cc \
-		 util/physics/physical_interaction.cc \
-		 util/physics/physical_interaction_sym.cc \
-		 util/physics/physical_interaction_asym.cc \
 		 util/physics/physics_connection.cc \
 		 util/physics/fields/field.cc \
@@ -417,7 +408,4 @@
 		 util/physics/i_physics.h \
                  util/physics/physics_engine.h \
-                 util/physics/physical_interaction.h \
-		 util/physics/physical_interaction_sym.h \
-		 util/physics/physical_interaction_asym.h \
 		 util/physics/physics_connection.h \
 		 util/physics/fields/fields.h \
@@ -587,7 +575,4 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particle_engine.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particle_system.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/physical_interaction.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/physical_interaction_asym.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/physical_interaction_sym.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/physics_connection.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/physics_engine.Po@am__quote@
@@ -1481,52 +1466,4 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o physics_engine.obj `if test -f 'util/physics/physics_engine.cc'; then $(CYGPATH_W) 'util/physics/physics_engine.cc'; else $(CYGPATH_W) '$(srcdir)/util/physics/physics_engine.cc'; fi`
-
-physical_interaction.o: util/physics/physical_interaction.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT physical_interaction.o -MD -MP -MF "$(DEPDIR)/physical_interaction.Tpo" -c -o physical_interaction.o `test -f 'util/physics/physical_interaction.cc' || echo '$(srcdir)/'`util/physics/physical_interaction.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/physical_interaction.Tpo" "$(DEPDIR)/physical_interaction.Po"; else rm -f "$(DEPDIR)/physical_interaction.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/physics/physical_interaction.cc' object='physical_interaction.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/physical_interaction.Po' tmpdepfile='$(DEPDIR)/physical_interaction.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o physical_interaction.o `test -f 'util/physics/physical_interaction.cc' || echo '$(srcdir)/'`util/physics/physical_interaction.cc
-
-physical_interaction.obj: util/physics/physical_interaction.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT physical_interaction.obj -MD -MP -MF "$(DEPDIR)/physical_interaction.Tpo" -c -o physical_interaction.obj `if test -f 'util/physics/physical_interaction.cc'; then $(CYGPATH_W) 'util/physics/physical_interaction.cc'; else $(CYGPATH_W) '$(srcdir)/util/physics/physical_interaction.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/physical_interaction.Tpo" "$(DEPDIR)/physical_interaction.Po"; else rm -f "$(DEPDIR)/physical_interaction.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/physics/physical_interaction.cc' object='physical_interaction.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/physical_interaction.Po' tmpdepfile='$(DEPDIR)/physical_interaction.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o physical_interaction.obj `if test -f 'util/physics/physical_interaction.cc'; then $(CYGPATH_W) 'util/physics/physical_interaction.cc'; else $(CYGPATH_W) '$(srcdir)/util/physics/physical_interaction.cc'; fi`
-
-physical_interaction_sym.o: util/physics/physical_interaction_sym.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT physical_interaction_sym.o -MD -MP -MF "$(DEPDIR)/physical_interaction_sym.Tpo" -c -o physical_interaction_sym.o `test -f 'util/physics/physical_interaction_sym.cc' || echo '$(srcdir)/'`util/physics/physical_interaction_sym.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/physical_interaction_sym.Tpo" "$(DEPDIR)/physical_interaction_sym.Po"; else rm -f "$(DEPDIR)/physical_interaction_sym.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/physics/physical_interaction_sym.cc' object='physical_interaction_sym.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/physical_interaction_sym.Po' tmpdepfile='$(DEPDIR)/physical_interaction_sym.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o physical_interaction_sym.o `test -f 'util/physics/physical_interaction_sym.cc' || echo '$(srcdir)/'`util/physics/physical_interaction_sym.cc
-
-physical_interaction_sym.obj: util/physics/physical_interaction_sym.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT physical_interaction_sym.obj -MD -MP -MF "$(DEPDIR)/physical_interaction_sym.Tpo" -c -o physical_interaction_sym.obj `if test -f 'util/physics/physical_interaction_sym.cc'; then $(CYGPATH_W) 'util/physics/physical_interaction_sym.cc'; else $(CYGPATH_W) '$(srcdir)/util/physics/physical_interaction_sym.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/physical_interaction_sym.Tpo" "$(DEPDIR)/physical_interaction_sym.Po"; else rm -f "$(DEPDIR)/physical_interaction_sym.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/physics/physical_interaction_sym.cc' object='physical_interaction_sym.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/physical_interaction_sym.Po' tmpdepfile='$(DEPDIR)/physical_interaction_sym.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o physical_interaction_sym.obj `if test -f 'util/physics/physical_interaction_sym.cc'; then $(CYGPATH_W) 'util/physics/physical_interaction_sym.cc'; else $(CYGPATH_W) '$(srcdir)/util/physics/physical_interaction_sym.cc'; fi`
-
-physical_interaction_asym.o: util/physics/physical_interaction_asym.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT physical_interaction_asym.o -MD -MP -MF "$(DEPDIR)/physical_interaction_asym.Tpo" -c -o physical_interaction_asym.o `test -f 'util/physics/physical_interaction_asym.cc' || echo '$(srcdir)/'`util/physics/physical_interaction_asym.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/physical_interaction_asym.Tpo" "$(DEPDIR)/physical_interaction_asym.Po"; else rm -f "$(DEPDIR)/physical_interaction_asym.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/physics/physical_interaction_asym.cc' object='physical_interaction_asym.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/physical_interaction_asym.Po' tmpdepfile='$(DEPDIR)/physical_interaction_asym.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o physical_interaction_asym.o `test -f 'util/physics/physical_interaction_asym.cc' || echo '$(srcdir)/'`util/physics/physical_interaction_asym.cc
-
-physical_interaction_asym.obj: util/physics/physical_interaction_asym.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT physical_interaction_asym.obj -MD -MP -MF "$(DEPDIR)/physical_interaction_asym.Tpo" -c -o physical_interaction_asym.obj `if test -f 'util/physics/physical_interaction_asym.cc'; then $(CYGPATH_W) 'util/physics/physical_interaction_asym.cc'; else $(CYGPATH_W) '$(srcdir)/util/physics/physical_interaction_asym.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/physical_interaction_asym.Tpo" "$(DEPDIR)/physical_interaction_asym.Po"; else rm -f "$(DEPDIR)/physical_interaction_asym.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/physics/physical_interaction_asym.cc' object='physical_interaction_asym.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/physical_interaction_asym.Po' tmpdepfile='$(DEPDIR)/physical_interaction_asym.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o physical_interaction_asym.obj `if test -f 'util/physics/physical_interaction_asym.cc'; then $(CYGPATH_W) 'util/physics/physical_interaction_asym.cc'; else $(CYGPATH_W) '$(srcdir)/util/physics/physical_interaction_asym.cc'; fi`
 
 physics_connection.o: util/physics/physics_connection.cc
Index: xonox/branches/physics/src/util/physics/physical_interaction.cc
===================================================================
--- /orxonox/branches/physics/src/util/physics/physical_interaction.cc	(revision 4184)
+++ 	(revision )
@@ -1,43 +1,0 @@
-
-
-/* 
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   ### File Specific:
-   main-programmer: Patrick Boenzli
-   co-programmer: ...
-*/
-
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PHYSICS
-
-#include "physical_interaction.h"
-
-#include "stdincl.h"
-
-using namespace std;
-
-
-/**
-   \brief standard constructor
-*/
-PhysicalInteraction::PhysicalInteraction () 
-{
-   this->setClassName ("PhysicalInteraction");
-}
-
-
-/**
-   \brief standard deconstructor
-
-*/
-PhysicalInteraction::~PhysicalInteraction () 
-{
-  // delete what has to be deleted here
-}
Index: xonox/branches/physics/src/util/physics/physical_interaction.h
===================================================================
--- /orxonox/branches/physics/src/util/physics/physical_interaction.h	(revision 4184)
+++ 	(revision )
@@ -1,30 +1,0 @@
-/*! 
-    \file proto_class.h
-    \brief Definition of the proto class template, used quickly start work
-    \todo Example: this shows how to use simply add a Marker that here has to be done something.
-
-    The Protoclass exists, to help you quikly getting the run for how to develop in orxonox.
-    It is an example for the CODING-CONVENTION, and a starting-point for every class.
-*/
-
-#ifndef _PHYSICAL_INTERACTION_H
-#define _PHYSICAL_INTERACTION_H
-
-
-#include "base_object.h"
-
-//! An abstract definition of a physics relation
-/**
-   here can be some longer description of this class
-*/
-class PhysicalInteraction : public BaseObject {
-
- public:
-  PhysicalInteraction();
-  virtual ~PhysicalInteraction();
-
- private:
-
-};
-
-#endif /* _PHYSICAL_INTERACTION_H */
Index: xonox/branches/physics/src/util/physics/physical_interaction_asym.cc
===================================================================
--- /orxonox/branches/physics/src/util/physics/physical_interaction_asym.cc	(revision 4184)
+++ 	(revision )
@@ -1,43 +1,0 @@
-
-
-/* 
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   ### File Specific:
-   main-programmer: Patrick Boenzli
-   co-programmer: ...
-*/
-
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PHYSICS
-
-#include "physical_interaction_asym.h"
-
-#include "stdincl.h" 
-
-using namespace std;
-
-
-/**
-   \brief standard constructor
-*/
-PhysicalInteractionAsym::PhysicalInteractionAsym () 
-{
-   this->setClassName ("PhysicalInteractionAsym");
-}
-
-
-/**
-   \brief standard deconstructor
-
-*/
-PhysicalInteractionAsym::~PhysicalInteractionAsym () 
-{
-  // delete what has to be deleted here
-}
Index: xonox/branches/physics/src/util/physics/physical_interaction_asym.h
===================================================================
--- /orxonox/branches/physics/src/util/physics/physical_interaction_asym.h	(revision 4184)
+++ 	(revision )
@@ -1,27 +1,0 @@
-/*! 
-    \file physical_interaction_asym.h
-    \brief Definition a asymmertrical physical interaction like force field that (in our implementation)
-    hast no reactio
-*/
-
-#ifndef _PHYSICAL_INTERACTION_ASYM_H
-#define _PHYSICAL_INTERACTION_ASYM_H
-
-#include "physical_interaction.h"
-
-
-//! An asymmetrical force
-/**
-   forces, that only work in one firection
-*/
-class PhysicalInteractionAsym : public PhysicalInteraction {
-
- public:
-  PhysicalInteractionAsym();
-  virtual ~PhysicalInteractionAsym();
-
- private:
-
-};
-
-#endif /* _PHYSICAL_INTERACTION_ASYM_H */
Index: xonox/branches/physics/src/util/physics/physical_interaction_sym.cc
===================================================================
--- /orxonox/branches/physics/src/util/physics/physical_interaction_sym.cc	(revision 4184)
+++ 	(revision )
@@ -1,43 +1,0 @@
-
-
-/* 
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   ### File Specific:
-   main-programmer: Patrick Boenzli
-   co-programmer: ...
-*/
-
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_PHYSICS
-
-#include "physical_interaction_sym.h"
-
-#include "stdincl.h" 
-
-using namespace std;
-
-
-/**
-   \brief standard constructor
-*/
-PhysicalInteractionSym::PhysicalInteractionSym () 
-{
-   this->setClassName ("PhysicalInteractionSym");
-}
-
-
-/**
-   \brief standard deconstructor
-
-*/
-PhysicalInteractionSym::~PhysicalInteractionSym () 
-{
-  // delete what has to be deleted here
-}
Index: xonox/branches/physics/src/util/physics/physical_interaction_sym.h
===================================================================
--- /orxonox/branches/physics/src/util/physics/physical_interaction_sym.h	(revision 4184)
+++ 	(revision )
@@ -1,28 +1,0 @@
-/*! 
-    \file physical_interaction_sym.h
-    \brief this defines a symmetrical interaction like a spring force on both ends
-*/
-
-#ifndef _PHYSICAL_INTERACTION_SYM_H
-#define _PHYSICAL_INTERACTION_SYM_H
-
-#include "physical_interaction.h"
-
-
-//! A symmetrical physical interaction
-/**
-   eg. this can be a spring
-*/
-class PhysicalInteractionSym : public PhysicalInteraction {
-
- public:
-  PhysicalInteractionSym();
-  virtual ~PhysicalInteractionSym();
-
-
- private:
-
-};
-
-
-#endif /* _PHYSICAL_INTERACTION_SYM_H */