Index: orxonox/branches/physics/src/util/physics/fields/field.h
===================================================================
--- orxonox/branches/physics/src/util/physics/fields/field.h	(revision 4185)
+++ orxonox/branches/physics/src/util/physics/fields/field.h	(revision 4186)
@@ -39,8 +39,9 @@
 
   /** 
+      \param dt The time over which to apply the force
       \param data This is the data given to this force, to calculate the ForceVector
       \returns The Force Vector
   */
-  virtual Vector calcForce(const Vector& data) const = 0;
+  virtual Vector calcForce(float dt, const Vector& data) const = 0;
 
   void setMagnitude(const float& magnitude);
Index: orxonox/branches/physics/src/util/physics/fields/gravity.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/fields/gravity.cc	(revision 4185)
+++ orxonox/branches/physics/src/util/physics/fields/gravity.cc	(revision 4186)
@@ -45,7 +45,7 @@
    \returns The force.
 */
-Vector Gravity::calcForce(const Vector& data) const
+Vector Gravity::calcForce(float dt, const Vector& data) const
 {
-  return /*(this->getAbsDir().apply(Vector(0,1,0)))*/ Vector(0,-1,0) * this->getMagnitude();
+  return /*(this->getAbsDir().apply(Vector(0,1,0)))*/ Vector(0,-1,0) * this->getMagnitude() * dt;
 }
 
Index: orxonox/branches/physics/src/util/physics/fields/gravity.h
===================================================================
--- orxonox/branches/physics/src/util/physics/fields/gravity.h	(revision 4185)
+++ orxonox/branches/physics/src/util/physics/fields/gravity.h	(revision 4186)
@@ -21,5 +21,5 @@
   virtual ~Gravity();
 
-  virtual Vector calcForce(const Vector& data) const;
+  virtual Vector calcForce(float dt, const Vector& data) const;
 
  private:
Index: orxonox/branches/physics/src/util/physics/fields/point_gravity.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/fields/point_gravity.cc	(revision 4185)
+++ orxonox/branches/physics/src/util/physics/fields/point_gravity.cc	(revision 4186)
@@ -45,7 +45,7 @@
    \returns The force.
 */
-Vector PointGravity::calcForce(const Vector& data) const
+Vector PointGravity::calcForce(float dt, const Vector& data) const
 {
-  return (this->getAbsCoor() - data) * this->getMagnitude();
+  return (this->getAbsCoor() - data) * this->getMagnitude() * dt;
 }
 
Index: orxonox/branches/physics/src/util/physics/fields/point_gravity.h
===================================================================
--- orxonox/branches/physics/src/util/physics/fields/point_gravity.h	(revision 4185)
+++ orxonox/branches/physics/src/util/physics/fields/point_gravity.h	(revision 4186)
@@ -21,5 +21,5 @@
   virtual ~PointGravity();
 
-  virtual Vector calcForce(const Vector& data) const;
+  virtual Vector calcForce(float dt, const Vector& data) const;
 
  private:
Index: orxonox/branches/physics/src/util/physics/fields/twirl.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/fields/twirl.cc	(revision 4185)
+++ orxonox/branches/physics/src/util/physics/fields/twirl.cc	(revision 4186)
@@ -45,8 +45,8 @@
    \returns The force.
 */
-Vector Twirl::calcForce(const Vector& data) const
+Vector Twirl::calcForce(float dt, const Vector& data) const
 {
   return /*this->getAbsDir()*/ Vector(0,1,0).cross(this->getAbsCoor() - data)
-    * this->getMagnitude();
+    * this->getMagnitude() * dt;
 }
 
Index: orxonox/branches/physics/src/util/physics/fields/twirl.h
===================================================================
--- orxonox/branches/physics/src/util/physics/fields/twirl.h	(revision 4185)
+++ orxonox/branches/physics/src/util/physics/fields/twirl.h	(revision 4186)
@@ -21,5 +21,5 @@
   virtual ~Twirl();
 
-  virtual Vector calcForce(const Vector& data) const;
+  virtual Vector calcForce(float dt, const Vector& data) const;
 
  private:
Index: orxonox/branches/physics/src/util/physics/physics_connection.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/physics_connection.cc	(revision 4185)
+++ orxonox/branches/physics/src/util/physics/physics_connection.cc	(revision 4186)
@@ -45,6 +45,7 @@
 /** 
     \brief applies the Force to some Object.
+    \param dt The time to apply in Seconds
 */
-void PhysicsConnection::apply(void) const
+void PhysicsConnection::apply(const float& dt) const
 {
   switch(this->type)
@@ -55,5 +56,5 @@
 
     case PCON_ParticlesField:
-      this->particleSystem->applyField(this->field);
+      this->particleSystem->applyField(dt, this->field);
 
       break;
Index: orxonox/branches/physics/src/util/physics/physics_connection.h
===================================================================
--- orxonox/branches/physics/src/util/physics/physics_connection.h	(revision 4185)
+++ orxonox/branches/physics/src/util/physics/physics_connection.h	(revision 4186)
@@ -29,5 +29,5 @@
   virtual ~PhysicsConnection();
 
-  void apply(void) const;
+  void apply(const float& dt) const;
 
  private:
Index: orxonox/branches/physics/src/util/physics/physics_engine.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/physics_engine.cc	(revision 4185)
+++ orxonox/branches/physics/src/util/physics/physics_engine.cc	(revision 4186)
@@ -95,5 +95,5 @@
   while (enumConn)
     {
-      enumConn->apply();
+      enumConn->apply(dt);
       enumConn = iterator->nextElement();
     }